Skip site navigation (1) Skip section navigation (2)

v7.0.2: can't use 'EXTRACT(EPOCH FROM'

From: Trevin Chow <tmchow(at)sfu(dot)ca>
To: <pgsql-bugs(at)postgresql(dot)org>
Subject: v7.0.2: can't use 'EXTRACT(EPOCH FROM'
Date: 2001-07-31 07:58:07
Message-ID: 20010731002256.H15708-100000@benny.geektank.org (view raw or flat)
Thread:
Lists: pgsql-bugs
I'm running postgres 7.0.3 on one machine and 7.1.2 on another.  I tried
running the exact SQL sample from the user manual for date time
functions:

SELECT EXTRACT(EPOCH FROM TIMESTAMP '2001-02-16 20:38:40');

This example won't run on the v7.0.3 and I get teh following error:

ERROR:  parser: parse error at or near "epoch"

However, the same SQL sample runs on v7.1.2.  Am I doing something wrong
here? Is this a known bug?


Responses

pgsql-bugs by date

Next:From: pgsql-bugsDate: 2001-07-31 08:15:49
Subject: 'order by' and 'desc' not working in subquery using 'not in'
Previous:From: Tom LaneDate: 2001-07-31 03:50:47
Subject: Re: subquery results bypassed

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group